
import React from 'react';
import { Facebook, Twitter, Instagram, Linkedin, Bike } from 'lucide-react';

const Footer = () => {
  return (
    <footer className="bg-gray-900 text-gray-300 py-12 md:py-16">
      <div className="container mx-auto px-4">
        <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-10 mb-10">
          <div>
            <div className="flex items-center text-2xl font-bold text-yellow-400 mb-4">
              <Bike size={30} className="mr-2" />
              PedalReklam
            </div>
            <p className="text-gray-400 leading-relaxed">Yenilikçi bisikletli reklam çözümleriyle markanızı hareketlendirin. Çevre dostu, etkili ve unutulmaz.</p>
          </div>
          <div>
            <h5 className="text-lg font-semibold mb-4 text-yellow-500 uppercase tracking-wider">Hızlı Linkler</h5>
            <ul className="space-y-2">
              <li><a href="#home" className="hover:text-yellow-400 transition-colors">Ana Sayfa</a></li>
              <li><a href="#services" className="hover:text-yellow-400 transition-colors">Hizmetler</a></li>
              <li><a href="#references" className="hover:text-yellow-400 transition-colors">Referanslar</a></li>
              <li><a href="#about" className="hover:text-yellow-400 transition-colors">Hakkımızda</a></li>
              <li><a href="#career" className="hover:text-yellow-400 transition-colors">Kariyer</a></li>
              <li><a href="#contact" className="hover:text-yellow-400 transition-colors">İletişim</a></li>
            </ul>
          </div>
          <div>
            <h5 className="text-lg font-semibold mb-4 text-yellow-500 uppercase tracking-wider">Yasal</h5>
            <ul className="space-y-2">
              <li><a href="#" className="hover:text-yellow-400 transition-colors">Gizlilik Politikası</a></li>
              <li><a href="#" className="hover:text-yellow-400 transition-colors">Kullanım Şartları</a></li>
              <li><a href="#" className="hover:text-yellow-400 transition-colors">KVKK Aydınlatma Metni</a></li>
              <li><a href="#" className="hover:text-yellow-400 transition-colors">Çerez Politikası</a></li>
            </ul>
          </div>
          <div>
            <h5 className="text-lg font-semibold mb-4 text-yellow-500 uppercase tracking-wider">Bizi Takip Edin</h5>
            <div className="flex space-x-5">
              <a href="#" aria-label="Facebook" className="text-gray-400 hover:text-yellow-400 transition-colors"><Facebook size={24} /></a>
              <a href="#" aria-label="Twitter" className="text-gray-400 hover:text-yellow-400 transition-colors"><Twitter size={24} /></a>
              <a href="#" aria-label="Instagram" className="text-gray-400 hover:text-yellow-400 transition-colors"><Instagram size={24} /></a>
              <a href="#" aria-label="LinkedIn" className="text-gray-400 hover:text-yellow-400 transition-colors"><Linkedin size={24} /></a>
            </div>
            <p className="mt-6 text-gray-400 text-sm">
              PedalReklam A.Ş.<br />
              Bursa, Türkiye
            </p>
          </div>
        </div>
        <div className="border-t border-gray-700 pt-8 text-center">
          <p className="text-gray-500">&copy; {new Date().getFullYear()} PedalReklam. Tüm hakları saklıdır. Hostinger Horizons ile oluşturulmuştur.</p>
        </div>
      </div>
    </footer>
  );
};

export default Footer;
